Summary:	A cross platform C99 library to get CPU features at runtime
Summary(pl.UTF-8):	Wieloplatformowa biblioteka C99 do sprawdzania funkcjonalności CPU w czasie działania
Name:		cpu_features
Version:	0.10.1
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/google/cpu_features/releases
Source0:	https://github.com/google/cpu_features/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	32f6f561c24dce66ed4bc0384b22c026
URL:		https://github.com/google/cpu_features
BuildRequires:	cmake >= 3.13
BuildRequires:	gcc >= 5:3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A cross-platform C library to retrieve CPU features (such as available
instructions) at runtime.

%description -l pl.UTF-8
Wieloplatformowa biblioteka C do odczytu funkcjonalności CPU (takiej
jak dostępne instrukcje) w czasie działania programu.

%package devel
Summary:	Header files for cpu_features library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cpu_features
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for cpu_features library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cpu_features.

%prep
%setup -q

%build
%cmake -B build \
	-DBUILD_TESTING=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/list_cpu_features
%attr(755,root,root) %{_libdir}/libcpu_features.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/cpu_features
%{_libdir}/cmake/CpuFeatures
%changelog
* Sat May 31 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cpu_features.git;a=log;h=master

* Sat May 31 2025 Jakub Bogusz <qboosh@pld-linux.org> 3420f9e
- updated to 0.10.1

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 2ab93ee
- disable building tests (downloads gtest); release 2

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> ed9e9ac
- new

